Bug 1304924 - [Docs][REST] ISCSI CHAP user name and password can be added per host via the REST API
[Docs][REST] ISCSI CHAP user name and password can be added per host via the ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.3
: ---
Assigned To: Byron Gravenorst
Tahlia Richardson
:
Depends On: 1186812
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 19:26 EST by Lucy Bopf
Modified: 2016-03-16 10:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-16 10:11:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucy Bopf 2016-02-04 19:26:27 EST
When an ISCSI storage domain is added via the Administration Portal, only a single user name and password can be specified for that domain. However, some setups require that each host in the cluster uses a separate user name and password. You can now add a user name and password per host using the 'storageconnectionextensions' parameter via the REST API. An example similar to the following must be added to the REST API Guide:


POST /api/hosts/0656f432-923a-11e0-ad20-5254004ac988/storageconnectionextensions/add HTTP/1.1
Accept: application/xml
Content-type: application/xml

<storageconnectionextension>
  <target>
    ISCSI address
  </target>
  <username>
    user
  </username>
  <password>
    pass
  </password>
</storageconnectionextension>
Comment 1 Lucy Bopf 2016-02-19 00:22:10 EST
Assigning to Byron for review.

Note You need to log in before you can comment on or make changes to this bug.